
Redmine - Feature #2580

Remote git repositories

2009-01-25 16:36 - Kevin Menard

Status: Closed Start date: 2009-01-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'm sure this one has been asked before, but I couldn't find anything with search.  So, apologies if a duplicate.

I think it would be great if Redmine could handle remote git repositories, at least over HTTP and git protocols.  Handling SSH would

also be nice, but admittedly harder.

Right now, Redmine puts a lot on the lap of the admin to view remote repositories.  A local bare clone has to be made and a cronjob

created to pull in changes.  I'd posit that this is all work that Redmine could do.  I suppose the hardest part would be the scheduler. 

For smaller projects, on demand pulls may be sufficient.  For larger projects, Redmine could ship with a Rails daemon that handles

the pulling.  Or, at the very least, a crontab line that the admin can run that will call a Rails runner that does all the git repo updating.

I realize all of this is not very difficult to do outside Redmine.  I'm just trying to ease the barrier to entry with the product.

Related issues:

Related to Redmine - Feature #3825: Git repository via the git:// protocol Closed 2009-09-05

Related to Redmine - Patch #986: Clone remote git repository Closed 2008-04-03

History

#1 - 2009-01-25 17:00 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-01-30 08:37 - Gerrit Kaiser

+1

#3 - 2009-02-26 01:13 - Jeff Schuil

+1

#4 - 2009-03-08 00:11 - Robert Navarro

Any Update on this?

#5 - 2011-01-18 07:10 - Toshi MARUYAMA

- Category set to SCM

#6 - 2011-03-04 20:33 - Tiago Bortoletto Vaz

For now I think all we have is http://www.redmine.org/projects/redmine/wiki/howto_keep_in_sync_your_git_repository_for_redmine

#7 - 2011-03-29 12:48 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

This issue is duplicate with #3825 and won't fix.

Please see #3825 notes.

#8 - 2016-04-20 21:38 - Jesse Shaffer

Apparently this was rejected because "it couldn't be done".  Well it is doable, as been done here: 

https://www.redmine.org/plugins/redmine_git_remote
This really should be incorporated into the core.  Git is extremely popular, and most often people have their git repos on a separate host, such as

GitHub.
